FUNCTION(3)

NAME
boost::date_time::gather_weekday_strings - This function gathers up all the weekday strings from a std::locale.

SYNOPSIS

// In header: <boost/date_time/strings_from_facet.hpp>
template<typename charT>
  std::vector< std::basic_string< charT > >
  gather_weekday_strings(const std::locale & locale,
                         bool short_strings = true);

DESCRIPTION

Using the time_put facet, this function creates a collection of all the weekday strings from a locale starting with the string for 'Sunday'. This is handy when building custom date parsers or formatters that need to be localized.

! charT The type of char to use when gathering, typically char or wchar_t.

Parameters:

    locale
        The locale to use when gathering the strings

    short_strings
        True(default) to gather short strings, false for long strings.

Returns:
    A vector of strings containing the weekdays in order. eg: Sun, Mon, Tue, Wed, Thu, Fri, Sat